%define rpmlint_config %{_datadir}/rpmlint/config.d/

Name:           rpmlint-mandriva-policy
Version:        0.2.6
Release:        %mkrel 1
Summary:        Rpmlint mandriva policy
Group:          Development/Other
License:        GPLv2+
URL:            http://wiki.mandriva.com/
Source0:        mandriva.conf
Source1:        mandriva.error.list
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       rpmlint
%description
Official rpmlint mandriva policy, install this if you want to 
produces rpm for mandriva.

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}/%rpmlint_config
cp -a %{SOURCE0} %{buildroot}/%rpmlint_config/
cp -a %{SOURCE1} %{buildroot}/%rpmlint_config/

%files
%defattr(-,root,root,-)
%rpmlint_config/*


%changelog
* Wed Mar 10 2010 Michael Scherer <misc@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 517561
- filter warning about python requirement, this was changed on rpm-helper
- do not warn on missing BuildRoot

* Tue Feb 09 2010 Michael Scherer <misc@mandriva.org> 0.2.5-1mdv2010.1
+ Revision: 502519
- adapt source-or-patch-not-gzipped to new error name
- add libxml2-devel to the list of false positive
- do not show warning on invalid url ( yet )
- adapt to new rpmlint option for manpages compression

* Thu Sep 10 2009 Michael Scherer <misc@mandriva.org> 0.2.4-1mdv2010.0
+ Revision: 436808
- filter source-or-patch-not-gzipped , asked by fcrozat

* Thu Aug 13 2009 Michael Scherer <misc@mandriva.org> 0.2.3-2mdv2010.0
+ Revision: 415999
- filter various errors, asked by fcrozat and teuf on irc, mainly with regard to library

* Wed Aug 05 2009 Michael Scherer <misc@mandriva.org> 0.2.3-1mdv2010.0
+ Revision: 410242
- fix manpages suffix error
- fix wrong filename

* Fri Jul 31 2009 Michael Scherer <misc@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 404874
- fix the syntax of config file

* Thu Jul 30 2009 Michael Scherer <misc@mandriva.org> 0.2-1mdv2010.0
+ Revision: 404464
- add the valid rpm group

* Tue May 05 2009 Michael Scherer <misc@mandriva.org> 0.1-1mdv2010.0
+ Revision: 372050
- rename the file
- use a second file with the list of rpmlint error
- add a requires on rpmlint
- import rpmlint-mandriva-policy


